# Crosslingual Capabilities and Knowledge Barriers in Multilingual Large Language Models

## 1. Setup
Create Conda environment.
```
conda create -n crossknow python=3.9
conda activate crossknow
```
Install Pytorch. We tested the code with the following version:
```
conda install pytorch==2.2.1 pytorch-cuda=12.1 -c pytorch -c nvidia
```
Install other packages.
```
bash install.sh
```

## 2. Getting Started with Experiments


We examine our discovery on a wide range of tasks and release their code in different directories:
- [Crosslingual translation evaluation](Translation/README.md): crosslingual capability 
- [MMLU evaluation](MMLU/README.md): general crosslingual knowledge barrier
- [Harry Potter Quiz evaluation](HP/README.md): domain-specific crosslingual knowledge barrier
- [Finetune](FT/README.md): mixed language finetuning for open-source models

